> For the complete documentation index, see [llms.txt](https://docs.guibo.travel/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.guibo.travel/developers/content-api/content-or-create-text-page.md).

# Content | Text page

There  are three ways to create a textpage:

**a)** With the GUIBO Bundle Link inside the request body and optionally the GUIBO Category ID inside the request body. Depending on wheather the textpage should be at the root level of a guidebook (provide bundle link only) or inside a category (provide bundle link and category id).

If you do not have the GUIBO Bundle Link of the guidebook or library, you can use your customId if you set it.

**b1)** With your custom ID of the bundle (=guidebook or library) as request parameter, together with the account ID . You can then leave the bundle ID and the category ID in the request body empty. This places the textpage at the root level of the guidebook.

**b2)** With your custom ID of the category plus the custom ID of the bundle, together with the account ID.You can then leave the bundle ID and the category ID in the request body empty. This places the textpage inside the category.

* You can find the Account ID under Account Settings > General Settings > Account ID
* You can find the API key under Account Settings > General Settings > API Key

```json
curl --location 'https://services-tst.schneidergeo.com/content/text' \
--header 'Authorization: xxxx-xxxxxxxx-xxxxx-xxxxxxxx' \
--header 'Content-Type: application/json' \
--data '{
    "account": "CCCCCC",
    "library": {
        "customId": "MY_TEXT_LIB"
    },
    "customId":"TEXT_564",
    "titles": {
        "de": "Fragen & Antworten",
        "en": "Frequently asked questions"
    },
    "descriptions": {
        "de": "<h3>Antworten auf die häufigsten Fragen</h3> Was ist eine pauschale Radreise? Was mache ich, wenn es den ganzen Tag regnet? Und wie geht es nach der Online-Buchung weiter?",
        "en": "<h3>Answers to frequently asked questions</h3> What is a flat-rate cycling tour? What do I do if it rains all day? And what happens after I book online?"
    },
    "appEnabled": true,
    "pdfEnabled": true
}'
```

#### Query Parameters

| Name             | Type   | Description                                 |
| ---------------- | ------ | ------------------------------------------- |
| account          | String | Your account ID                             |
| library.customId | String | The custom ID which you set for the library |
| customId         | String | The custom ID for this textpage             |

#### Headers

| Name                                            | Type   | Description |
| ----------------------------------------------- | ------ | ----------- |
| Authorization<mark style="color:red;">\*</mark> | String | API key     |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.guibo.travel/developers/content-api/content-or-create-text-page.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
